Bug 1128078 - [test plan] when user change case's category in plan detail page, If user does not choose any category then click submit btn, system report SyntaxError.
Summary: [test plan] when user change case's category in plan detail page, If user doe...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: Yuguang Wang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 09:11 UTC by yangqiu
Modified: 2018-09-07 21:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[test plan] when user change case's category in plan detail page, If user does not choose any category then click submit btn, system report SyntaxError. (400.93 KB, image/jpeg)
2014-08-08 09:11 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-08 09:11:09 UTC
Created attachment 925128 [details]
[test plan] when user change case's category in plan detail page, If user does not choose any category then click submit btn, system report SyntaxError.

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.Enter a plan detail page.
https://tcms-devel.app.eng.nay.redhat.com/plan/10135
2.Checked all cases, then click category link.
3.In Select Category form, user did not choose any category, then click select btn.

Actual results:
system system report SyntaxError, like:
Uncaught SyntaxError: Badly formed JSON string

Expected results:
system popout a warning: Please select category first.

Additional info:

Comment 1 yangqiu 2014-08-08 09:57:57 UTC
this issue also happened when change assignee in run detail page if no caserun has been checked.

Comment 2 xudong 2014-08-12 05:31:58 UTC
the two bugs mentioned above have been fixed by this patch https://code.engineering.redhat.com/gerrit/#/c/30677/

Comment 3 yangqiu 2014-08-13 07:12:04 UTC
verify this issue on v3.8.10-1 on devel server.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.